### GET /projects/{appId}/labels Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of labels. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **limit** (integer (int64), query, optional): The maximum number of labels that can be returned per request. If the total number of the labels retrieved is more than this limit, then in the reponse you can find the links to pages for retrieving subsequent labels. - **offset** (integer (int64), query, optional): The offset is the zero-based index of the first label to be returned on the page. ### Responses #### 200 - Successful operation **labels** - **labels** (array (object)) Array items: - **uuid** (string (uuid)) (example: "346a2cad-6b96-477a-9225-3957b73ctest") - **name** (string) (example: "Add post endpoint to generate resources.") - **totalLabels** (integer (int64)) (example: 240) - **links** (array (object)) Array items: - **rel** (string (first|previous|current|next|last)) (example: "current") ("first"|"previous"|"current"|"next"|"last") - **hRef** (string (url)) (example: "https://epics-api.mendix.com/v1/projects/346a2cad-6b96-477a-9225-3957b73ctpro/{tag}?limit=20&offset=120") - **limit** (integer (int64)) (example: 20) - **offset** (integer (int64)) (example: 0) #### 400 - The request likely contains invalid data or is missing data. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 401 - No usable authentication credentials were found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X GET "https://epics-api.mendix.com/v1/projects/{appId}/labels?limit=20&offset=0" ``` ``` -------------------------------- ### GET /projects/{appId}/stories/{storyId} Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns success ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **storyId** (string, path, required): The readable ID of the story ### Responses #### 200 - Successful operation **story** - **uuid** (string (uuid)) (example: "346a2cad-6b96-477a-9225-3957b73ctest") - **storyId** (string) (example: "TEST-1") - **sortId** (integer (int64)) (example: 0) - **title** (string) (example: "Users need to have a homepage that gives them access to pages where information can be seen.") - **descriptionHTML** (string (html)) (example: "
Add buttons to the existing homepage which give users access to other pages.
") - **descriptionPlain** (string) (example: "Add buttons to the existing homepage which give users access to other pages.") - **storyPoints** (integer (int64)) (example: 5) - **storyType** (string (Bug|Feature)) (example: "Feature") ("Bug"|"Feature") - **storyLevel** (string (Active|NextSprint|InRefinement|Backlog)) (example: "Active") ("Active"|"NextSprint"|"InRefinement"|"Backlog") - **numberOfTasks** (integer (int64)) (example: 1) - **status** (string) (example: "Done") #### 401 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X GET "https://epics-api.mendix.com/v1/projects/{appId}/stories/{storyId}" ``` ``` -------------------------------- ### GET /projects/{appId}/stories Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of stories. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **limit** (integer (int64), query, optional): The maximum number of stories that can be returned per request. If the total number of the stories retrieved is more than this limit, then in the response you can find links to pages for retrieving subsequent stories. - **offset** (integer (int64), query, optional): The offset is the zero-based index of the first story to be returned on the page. ### Responses #### 200 - Successful operation **stories** - **stories** (array (object)) Array items: - **uuid** (string (uuid)) (example: "346a2cad-6b96-477a-9225-3957b73ctest") - **storyId** (string) (example: "TEST-1") - **sortId** (integer (int64)) (example: 0) - **title** (string) (example: "Users need to have a homepage that gives them access to pages where information can be seen.") - **descriptionHTML** (string (html)) (example: "Add buttons to the existing homepage which give users access to other pages.
") - **descriptionPlain** (string) (example: "Add buttons to the existing homepage which give users access to other pages.") - **storyPoints** (integer (int64)) (example: 5) - **storyType** (string (Bug|Feature)) (example: "Feature") ("Bug"|"Feature") - **storyLevel** (string (Active|NextSprint|InRefinement|Backlog)) (example: "Active") ("Active"|"NextSprint"|"InRefinement"|"Backlog") - **numberOfTasks** (integer (int64)) (example: 1) - **status** (string) (example: "Done") - **totalStories** (integer (int64)) (example: 1) - **links** (array (object)) Array items: - **rel** (string (first|previous|current|next|last)) (example: "current") ("first"|"previous"|"current"|"next"|"last") - **hRef** (string (url)) (example: "https://epics-api.mendix.com/v1/projects/346a2cad-6b96-477a-9225-3957b73ctpro/{tag}?limit=20&offset=120") - **limit** (integer (int64)) (example: 20) - **offset** (integer (int64)) (example: 0) #### 400 - The request likely contains invalid data or is missing data. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 401 - No usable authentication credentials were found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X GET "https://epics-api.mendix.com/v1/projects/{appId}/stories?limit=20&offset=0" ``` ``` -------------------------------- ### GET /projects/{appId}/epics Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of epics. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **limit** (integer (int64), query, optional): The maximum number of epics that can be returned per request. If the total number of the epics retrieved is more than this limit, then in the response you can find links to pages for retrieving subsequent epics. - **offset** (integer (int64), query, optional): The offset is the zero-based index of the first epic to be returned on the page. ### Responses #### 200 - Successful operation **epics** - **epics** (array (object)) Array items: - **epicId** (string) (example: "EPI-TEST-1") - **name** (string) (example: "Public API Initiative") - **objective** (string) (example: "Ability to change stories programatically") - **numberOfStories** (integer (int64)) (example: 4) - **numberOfStoryPoints** (integer (int64)) (example: 24) - **totalEpics** (integer (int64)) (example: 240) - **links** (array (object)) Array items: - **rel** (string (first|previous|current|next|last)) (example: "current") ("first"|"previous"|"current"|"next"|"last") - **hRef** (string (url)) (example: "https://epics-api.mendix.com/v1/projects/346a2cad-6b96-477a-9225-3957b73ctpro/{tag}?limit=20&offset=120") - **limit** (integer (int64)) (example: 20) - **offset** (integer (int64)) (example: 0) #### 400 - The request likely contains invalid data or is missing data. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 401 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X GET "https://epics-api.mendix.com/v1/projects/{appId}/epics?limit=20&offset=0" ``` ``` -------------------------------- ### GET /projects/{appId}/statuses Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of statuses. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app ### Responses #### 200 - Successful operation **statuses** - **statuses** (array (object)) Array items: - **name** (string) (example: "Done") - **sortId** (integer (int64)) (example: 0) #### 401 - No usable authentication credentials were found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X GET "https://epics-api.mendix.com/v1/projects/{appId}/statuses" ``` ``` -------------------------------- ### GET /projects/{appId}/stories/{storyId}/tasks Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of tasks. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **storyId** (string, path, required): The readable ID of the story ### Responses #### 200 - Successful operation **tasks** - **tasks** (array (object)) Array items: - **title** (string) (example: "Design the new buttons for the homepage.") - **isDone** (boolean) (example: false) - **sortId** (integer (int64)) (example: 0) #### 401 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X GET "https://epics-api.mendix.com/v1/projects/{appId}/stories/{storyId}/tasks" ``` ``` -------------------------------- ### POST /projects/{appId}/stories Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of created stories. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app ### Request Body **Content-Type:** application/json - Array of object - **title** (string) (example: "Users need to have a homepage that gives them access to pages where information can be seen.") - **description** (string) (example: "Add buttons to the existing homepage which give users access to other pages.") - **storyType** (string (Bug|Feature)) (example: "Feature") ("Bug"|"Feature") - **storyPoints** (integer (int64)) (example: 5) - **storyLevel** (string (Active|NextSprint|InRefinement|Backlog)) (example: "Active") ("Active"|"NextSprint"|"InRefinement"|"Backlog") ### Responses #### 200 - Successful operation - **items** (array (object)) Array items: - **code** (integer (int64)) (example: 200) - **story** (object) - **uuid** (string (uuid)) (example: "346a2cad-6b96-477a-9225-3957b73ctest") - **storyId** (string) (example: "TEST-1") #### 207 - Partial successful operation - **items** (array (object)) Array items: - **code** (integer (int64)) (example: 400) - **reason** (string) (example: "Unsupported story type") #### 400 - The request likely contains invalid data or is missing data. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 401 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X POST "https://epics-api.mendix.com/v1/projects/{appId}/stories" \ -H "Content-Type: application/json" \ -d '[ { "title": "Users need to have a homepage that gives them access to pages where information can be seen.", "description": "Add buttons to the existing homepage which give users access to other pages.", "storyType": "Feature", "storyPoints": 5, "storyLevel": "Active" } ]' ``` ``` -------------------------------- ### POST /projects/{appId}/stories/{storyId}/tasks Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns an array of created tasks. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **storyId** (string, path, required): The readable ID of the story ### Request Body **Content-Type:** application/json - Array of object - **title** (string) (example: "Users need to have a homepage that gives them access to pages where information can be seen.") - **isDone** (boolean) (example: false) ### Responses #### 200 - Successful operation - **items** (array (object)) Array items: - **code** (integer (int64)) (example: 200) - **task** (object) - **uuid** (string) (example: "346a2cad-6b96-477a-9225-3957b73ctest") #### 207 - Partial successful operation - **items** (array (object)) Array items: - **code** (integer (int64)) (example: 400) - **reason** (string) (example: "The title of a task is required.") #### 400 - The request likely contains invalid data or is missing data. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 401 - No usable authentication credentials were found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X POST "https://epics-api.mendix.com/v1/projects/{appId}/stories/{storyId}/tasks" \ -H "Content-Type: application/json" \ -d '[ { "title": "Users need to have a homepage that gives them access to pages where information can be seen.", "isDone": false } ]' ``` ``` -------------------------------- ### Security: Authorization Source: https://docs.mendix.com/openapi-spec/epics.yaml For more information about requesting and using a token see the [documentation](https://docs.mendix.com//portal/user-settings/#pat).Add buttons to the existing homepage which give users access to other pages.
") - **descriptionPlain** (string) (example: "Add buttons to the existing homepage which give users access to other pages.") - **storyPoints** (integer (int64)) (example: 5) - **storyType** (string (Bug|Feature)) (example: "Feature") ("Bug"|"Feature") - **storyLevel** (string (Active|NextSprint|InRefinement|Backlog)) (example: "Active") ("Active"|"NextSprint"|"InRefinement"|"Backlog") - **numberOfTasks** (integer (int64)) (example: 1) - **status** (string) (example: "Done") ``` -------------------------------- ### Schema: epics Source: https://docs.mendix.com/openapi-spec/epics.yaml Schema definition for epics ```markdown ## Schema: epics Schema definition for epics **Type:** object - **epics** (array (object)) Array items: - **epicId** (string) (example: "EPI-TEST-1") - **name** (string) (example: "Public API Initiative") - **objective** (string) (example: "Ability to change stories programatically") - **numberOfStories** (integer (int64)) (example: 4) - **numberOfStoryPoints** (integer (int64)) (example: 24) - **totalEpics** (integer (int64)) (example: 240) - **links** (array (object)) Array items: - **rel** (string (first|previous|current|next|last)) (example: "current") ("first"|"previous"|"current"|"next"|"last") - **hRef** (string (url)) (example: "https://epics-api.mendix.com/v1/projects/346a2cad-6b96-477a-9225-3957b73ctpro/{tag}?limit=20&offset=120") - **limit** (integer (int64)) (example: 20) - **offset** (integer (int64)) (example: 0) ``` -------------------------------- ### Schema: links Source: https://docs.mendix.com/openapi-spec/epics.yaml Schema definition for links ```markdown ## Schema: links Schema definition for links **Type:** array - Array of object - **rel** (string (first|previous|current|next|last)) (example: "current") ("first"|"previous"|"current"|"next"|"last") - **hRef** (string (url)) (example: "https://epics-api.mendix.com/v1/projects/346a2cad-6b96-477a-9225-3957b73ctpro/{tag}?limit=20&offset=120") ``` -------------------------------- ### Schema: stories Source: https://docs.mendix.com/openapi-spec/epics.yaml Schema definition for stories ```markdown ## Schema: stories Schema definition for stories **Type:** object - **stories** (array (object)) Array items: - **uuid** (string (uuid)) (example: "346a2cad-6b96-477a-9225-3957b73ctest") - **storyId** (string) (example: "TEST-1") - **sortId** (integer (int64)) (example: 0) - **title** (string) (example: "Users need to have a homepage that gives them access to pages where information can be seen.") - **descriptionHTML** (string (html)) (example: "Add buttons to the existing homepage which give users access to other pages.
") - **descriptionPlain** (string) (example: "Add buttons to the existing homepage which give users access to other pages.") - **storyPoints** (integer (int64)) (example: 5) - **storyType** (string (Bug|Feature)) (example: "Feature") ("Bug"|"Feature") - **storyLevel** (string (Active|NextSprint|InRefinement|Backlog)) (example: "Active") ("Active"|"NextSprint"|"InRefinement"|"Backlog") - **numberOfTasks** (integer (int64)) (example: 1) - **status** (string) (example: "Done") - **totalStories** (integer (int64)) (example: 1) - **links** (array (object)) Array items: - **rel** (string (first|previous|current|next|last)) (example: "current") ("first"|"previous"|"current"|"next"|"last") - **hRef** (string (url)) (example: "https://epics-api.mendix.com/v1/projects/346a2cad-6b96-477a-9225-3957b73ctpro/{tag}?limit=20&offset=120") - **limit** (integer (int64)) (example: 20) - **offset** (integer (int64)) (example: 0) ``` -------------------------------- ### PATCH /projects/{appId}/stories/{storyId} Source: https://docs.mendix.com/openapi-spec/epics.yaml Returns the status code 204. ```markdown ### Parameters - **appId** (string (uuid), path, required): The ID of the app - **storyId** (string, path, required): The readable ID of the story ### Request Body **Content-Type:** application/json - **title** (string) (example: "Users need to have a homepage that gives them access to pages where information can be seen.") - **description** (string) (example: "Update story description.") - **storyPoints** (integer (int64)) (example: 5) - **storyType** (string (Bug|Feature)) (example: "Feature") ("Bug"|"Feature") - **storyLevel** (string (Active|NextSprint|InRefinement|Backlog)) (example: "Active") ("Active"|"NextSprint"|"InRefinement"|"Backlog") - **storyStatus** (string) (example: "Done") ### Responses #### 204 - Successful operation Empty response body #### 400 - The request likely contains invalid data or is missing data. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 401 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") #### 404 - The required item could not be found. The error response gives additional feedback. **error** - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ### Example Usage ```bash curl -X PATCH "https://epics-api.mendix.com/v1/projects/{appId}/stories/{storyId}" \ -H "Content-Type: application/json" \ -d '{ "title": "Users need to have a homepage that gives them access to pages where information can be seen.", "description": "Update story description.", "storyPoints": 5, "storyType": "Feature", "storyLevel": "Active", "storyStatus": "Done" }' ``` ``` -------------------------------- ### Schema: error Source: https://docs.mendix.com/openapi-spec/epics.yaml Schema definition for error ```markdown ## Schema: error Schema definition for error **Type:** object - **status** (integer) (example: 400) - **title** (string) (example: "Bad Request") - **detail** (string) (example: "Malformed request body") ``` -------------------------------- ### Schema: statuses Source: https://docs.mendix.com/openapi-spec/epics.yaml Schema definition for statuses ```markdown ## Schema: statuses Schema definition for statuses **Type:** object - **statuses** (array (object)) Array items: - **name** (string) (example: "Done") - **sortId** (integer (int64)) (example: 0) ``` -------------------------------- ### API Overview: Epics API Source: https://docs.mendix.com/openapi-spec/epics.yaml The API to manage stories, tasks, Sprint, and epics for Mendix apps which use the Epics story service. ```yaml # Epics API # Version: 1.0.0 The API to manage stories, tasks, Sprint, and epics for Mendix apps which use the Epics story service. # Base URL: https://epics-api.mendix.com/v1 ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.